<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>JSDoc: Source: base64ToPdf/base64ToPdf.js</title>

    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css" />
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css" />
  </head>

  <body>
    <div id="main">
      <h1 class="page-title">Source: base64ToPdf/base64ToPdf.js</h1>

      <section>
        <article>
          <pre class="prettyprint source linenums"><code>import { api, LightningElement } from 'lwc';
import { base64 } from './example.js';

/**
 * A simple utility for Base64 encoded strings to decode them into PDF files.
 * @alias Base64ToPdf
 * @extends LightningElement
 * @hideconstructor
 *
 * @example
 * &lt;c-base64-to-pdf height="500px" width="100%">&lt;/c-base64-to-pdf>
 */
export default class Base64ToPdf extends LightningElement {
  /**
   * Specifies the height of the pdf iframe. Default height is 500 pixels.
   * @type {string}
   * @default '500px'
   */
  @api height = '500px';

  /**
   * Specifies the width of the pdf iframe. Default width is 100 percent.
   * @type {string}
   * @default '100%'
   */
  @api width = '100%';

  pdf = `data:application/pdf;base64,${base64}`;
  fileName = 'example.pdf';

  get pdfSrc() {
    return this.pdf;
  }
}
</code></pre>
        </article>
      </section>
    </div>

    <nav>
      <h2><a href="index.html">Home</a></h2>
      <h3>Classes</h3>
      <ul>
        <li><a href="Base64ToPdf.html">Base64ToPdf</a></li>
        <li><a href="CsvToDatatable.html">CsvToDatatable</a></li>
        <li><a href="CustomDatatable.html">CustomDatatable</a></li>
        <li><a href="CustomMapView.html">CustomMapView</a></li>
        <li><a href="CustomSlider.html">CustomSlider</a></li>
        <li><a href="HelloWorld.html">HelloWorld</a></li>
        <li><a href="IFrame.html">IFrame</a></li>
        <li><a href="LocalDevelopmentWrapper.html">LocalDevelopmentWrapper</a></li>
        <li><a href="MultiSelectCombobox.html">MultiSelectCombobox</a></li>
        <li><a href="MultiSelectComboboxItem.html">MultiSelectComboboxItem</a></li>
        <li><a href="OpenRecordPageFlowAction.html">OpenRecordPageFlowAction</a></li>
      </ul>
      <h3>Global</h3>
      <ul>
        <li><a href="global.html#slidesData">slidesData</a></li>
      </ul>
    </nav>

    <br class="clear" />

    <footer>
      Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 4.0.0</a> on Thu Feb 16 2023 11:49:13
      GMT+0100 (Central European Standard Time)
    </footer>

    <script>
      prettyPrint();
    </script>
    <script src="scripts/linenumber.js"></script>
  </body>
</html>
